Bug 1570973 (CVE-2018-5430) - CVE-2018-5430 jasperreports: read-only access to the contents of the web application for authenticated user
Summary: CVE-2018-5430 jasperreports: read-only access to the contents of the web appl...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-5430
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1570971 1570975
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 21:41 UTC by Laura Pardo
Modified: 2020-04-22 04:26 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:20:21 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-04-23 21:41:24 UTC
The Spring web flows of TIBCO Software Inc.'s TIBCO JasperReports Server, TIBCO JasperReports Server Community Edition, TIBCO JasperReports Server for ActiveMatrix BPM, TIBCO Jaspersoft for AWS with Multi-Tenancy, and TIBCO Jaspersoft Reporting and Analytics for AWS contain a vulnerability which may allow any authenticated user read-only access to the contents of the web application, including key configuration files. Affected releases include TIBCO Software Inc.'s TIBCO JasperReports Server: versions up to and including 6.2.4; 6.3.0; 6.3.2; 6.3.3;6.4.0; 6.4.2, TIBCO JasperReports Server Community Edition: versions up to and including 6.4.2, TIBCO JasperReports Server for ActiveMatrix BPM: versions up to and including 6.4.2, TIBCO Jaspersoft for AWS with Multi-Tenancy: versions up to and including 6.4.2, TIBCO Jaspersoft Reporting and Analytics for AWS: versions up to and including 6.4.2.


References:
https://www.tibco.com/support/advisories/2018/04/tibco-security-advisory-april-17-2018-tibco-jasperreports-2018-5430

Comment 1 Laura Pardo 2018-04-23 21:45:51 UTC
Created jasperreports tracking bugs for this issue:

Affects: fedora-all [bug 1570971]


Note You need to log in before you can comment on or make changes to this bug.